<?php

namespace AppBundle\Repository\Site;

/**
 * BlockRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class BlockRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryBlocks($page = null, $position = null, $name = null)
    {
        $qb = $this->createQueryBuilder('b');
        if(!$page) {
            $qb->orderBy('b.referedPage', 'ASC');
            $qb->addOrderBy('b.position', 'ASC');
            $qb->addOrderBy('b.weight', 'ASC');
        } else {
            if(!$position) {
                $qb->orderBy('b.position', 'ASC');
                $qb->addOrderBy('b.weight', 'ASC');
            } else {
                $qb->orderBy('b.weight', 'ASC');
            }
        }
        
        if($position) {
            $qb ->andWhere("b.position = :position")
                ->setParameter("position", $position);
        }

        if($name) {
            $qb ->andWhere("b.name = :name")
                ->setParameter("name", $name);
        }

        if($page) {
            $qb ->andWhere("b.referedPage = :page")
                ->setParameter("page", $page);
        }

        return $qb;
    }

    public function findBlock($type)
    {
        $qb = $this->createQueryBuilder('b');
        $qb ->andWhere("b.type = 'Tout le calendrier'");
        $res = $qb->getQuery()->getResult();
        if(count($res) > 0) {
            return $res['0'];
        }
        return null;
    }
}